Subject: Re: [X2Go-Dev] Bug#34: SSH_OPTIONS_FD

From: Mike Gabriel <[email-masked]>
Date: Tue, 25 Sep 2012 10:14:43 +0200

Hi Guys,

On Di 25 Sep 2012 05:08:19 CEST glpk xypron wrote:

> Dear Oleksandr,
>
>> And one more thing, as I understood, this code work only with recent
>> version of libssh. We should think, how can we make it available for
>> distributions like squeeze. Such distributions should be also supported
>> by X2Go Client.
> I have sent a bug report to Debian to include the missing patch.
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688700
>
>> I have a one notice. In your case HTTP protocol is used for proxy. It is
>> mean, that user name and password will be transmitted unencrypted. It
>> can follow to security issues. Can you think about HTTPS support? This
>> should be not very difficult, as Qt already supports SSL. You can check
>> code of HttpBrockerClient class in X2Go Client, which can use HTTPS
>> connections.
>
> QNetworkProxy relies on QAuthenticator.
>
> QAuthenticator supports the following authentication methods:
> - Basic
> - NTLM version 2
> - Digest-MD5
>
> Which one is used depends on the setup of the proxy server. Squid  
> has plugin for NTLM.
>
> NTLM and Digest-MD5 should be acceptable inside a private network.
>
> After the connection is established all further traffic will be SSH  
> encrypted.
>
> I am not aware of proxies being contacted over https.
>
> An interesting feature might be QNetworkProxy::DefaultProxy which  
> can use the system settings to determine the proxy server.
>
> Best regards
>
> Heinrich Schuchardt

Can you think of a way to utilize WPAD for proxy detection. Many  
systems I know use the WPAD protocol to roll out proxy settings over  
the network:
http://de.wikipedia.org/wiki/Web_Proxy_Autodiscovery_Protocol

Just in case Qt knows about it...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb